Subject: bug#49949: closed (Re: [bug#49949] [core-updates]: Blender fails to build)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 08 Jan 2022 01:52:02 +0000

Your bug report

#49949: [core-updates]: Blender fails to build

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
49949: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=49949
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#49949] [core-updates]: Blender fails to build
From: Leo Famulari <[email-masked]>
To: Guillaume Le Vaillant <[email-masked]>
Cc: [email-masked]
Date: Fri, 7 Jan 2022 20:51:19 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Sep 12, 2021 at 09:26:31AM +0000, Guillaume Le Vaillant wrote:
> Hi,
> 
> I got a similar issue on core-updates-frozen with opencv.
> 
> I solved it in 463a47f4d737ad645639ed32a1c97cfc3bf00ff0 with:
> 
> --8<---------------cut here---------------start------------->8---
> -    (search-input-directory inputs "include/OpenEXR")
> +    (string-drop-right
> +     (search-input-file inputs "include/OpenEXR/ImathVec.h")
> +     11)
> --8<---------------cut here---------------end--------------->8---
> 
> It guess this will also work for bender, but I can't test right now
> because openvdb which bender depends on fails to build.
> 
> I suspect it happens because there are several inputs with
> a "include/OpenEXR" directory and 'search-input-directory' doesn't
> return the one we're looking for.

Well, I'm not sure what happened with Blender, but the version that
failed to build in this bug report (2.92) has been replaced in Guix with
version 3. And this new version is building fine. So I'm closing this
bug.

Subject: [core-updates]: Blender fails to build
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Sun, 8 Aug 2021 21:54:05 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On core-updates-frozen, Blender fails to build like this:

------
[ 45%] Building C object source/blender/imbuf/CMakeFiles/bf_imbuf.dir/intern/scaling.c.o
/tmp/guix-build-blender-2.92.0.drv-0/blender-2.92.0/source/blender/imbuf/intern/openexr/openexr_api.cpp:35:10: fatal error: Iex.h: No such file or directory
   35 | #include <Iex.h>
      |          ^~~~~~~
compilation terminated.
make[2]: *** [source/blender/imbuf/intern/openexr/CMakeFiles/bf_imbuf_openexr.dir/build.make:79: source/blender/imbuf/intern/openexr/CMakeFiles/bf_imbuf_openexr.dir/openexr_api.cpp.o] Error 1
make[2]: Leaving directory '/tmp/guix-build-blender-2.92.0.drv-0/build'
make[1]: *** [CMakeFiles/Makefile2:5942: source/blender/imbuf/intern/openexr/CMakeFiles/bf_imbuf_openexr.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
cc1: warning: /usr/include: No such file or directory [-Wmissing-include-dirs]
------

Any ideas?